# ==========================================================
# Enter control parameters
# X axis
$XMin = -3.0;
$XMax = 3.0;
$IMax = 100;
# Y axis
$YMin = -3.0;
$YMax =  3.0;
$JMax = 100;
# File name
$FileName = ">" . "FUNCTION03.DAT";
$Title = "* " . "DataFileExample03\n";
# ==========================================================

# Open a file and print the header
open (OutData, $FileName);
print OutData $Title;
printf OutData (" %6d %6d \n",$IMax,$JMax);
printf OutData (" %12.4E %12.4E %12.4E %12.4E \n",$XMin,$YMin,$XMax,$YMax);

# Setup and main loop
$Dx = ($XMax-$XMin)/$IMax;
$Dy = ($YMax-$YMin)/$JMax;
for ($J=0; $J < ($JMax+1); $J++) {
  $Y = $YMin + $Dy*$J;
  for ($I=0; $I < ($IMax+1); $I++) {
    $X = $XMin + $Dx*$I;
    $H = HValue($X,$Y);
    printf OutData ("%12.4E\n", $H);
  };
};

# Wrap up
close (OutData);

# ==========================================================
# Enter function to calculate z values
# =================================================
  sub HValue {
    my ($x,$y) = @_;
    my ($f);
    $f = $x*$y + 2.0*$x**2 + 2.0*$y**2;
    return $f;
    }

# ==========================================================
